{********************************************************}
{                                                        }
{                 Zeos Database Objects                  }
{            MySql components registration               }
{                                                        }
{       Copyright (c) 1999-2001 Sergey Seroukhov         }
{    Copyright (c) 1999-2002 Zeos Development Group      }
{                                                        }
{********************************************************}

unit ZMySqlReg;

interface

{$IFNDEF LINUX}
{$INCLUDE ..\Zeos.inc}
{$ELSE}
{$INCLUDE ../Zeos.inc}
{$ENDIF}

{$IFNDEF LINUX}
{$INCLUDE ..\ZeosDef.inc}
{$ELSE}
{$INCLUDE ../ZeosDef.inc}
{$ENDIF}

procedure Register;

implementation

uses Classes, ZMySqlCon, ZMySqlTr, ZMySqlQuery
{$IFDEF WITH_PROPEDIT}, ZMySqlProp
  {$IFDEF VERCLX}
     ,DesignEditors, DesignIntf
  {$ELSE}
    {$IFDEF VER150ABOVE}
      ,DesignIntf, DesignEditors
    {$ELSE}
      ,DsgnIntf
    {$ENDIF}
  {$ENDIF}
{$ENDIF};

{ Register components in a component palette }
procedure Register;
begin
  RegisterComponents(ZEOS_DB_PALETTE, [TZZMySqlDatabase]);
{$IFDEF WITH_PROPEDIT}
  RegisterPropertyEditor(TypeInfo(string), TZZMySqlDatabase, 'Database',
    TZZMySqlDatabaseNameProperty);
{$ENDIF}

  RegisterComponents(ZEOS_DB_PALETTE, [TZZMySqlTransact]);

  RegisterComponents(ZEOS_DB_PALETTE, [TZZMySqlTable]);
  RegisterComponents(ZEOS_DB_PALETTE, [TZZMySqlQuery]);
{$IFDEF WITH_PROPEDIT}
  RegisterPropertyEditor(TypeInfo(string), TZZMySqlTable, 'TableName',
    TZZMySqlTableNameProperty);
{$ENDIF}
end;

end.
